/***************************************************************************
                          beam.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BEAM_H
#define BEAM_H

#include "effects.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Timer;

class Beam : public Effects
{
public: 
	Beam(int _x, int _y, Map_Sample* _sample);
	~Beam();

	void act();
	void show();

private:
	Timer* timer;
};

#endif
