/***************************************************************************
                          gas_cloud.cpp  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "gas_cloud.h"
#include "resources.h"
#include "timer.h"
#include "sprite.h"
#include "map_sample.h"
#include "player.h"
#include "monk.h"

Gas_cloud::Gas_cloud(int _x, int _y, bool _op, Map_Sample* _sample) : Gameobject(_x, _y, _sample)
{
	sprite=new Sprite(Resources::Gas(), 0.2f);
	timer=new Timer;
	op=_op;
	got=GASCLOUD;
}
Gas_cloud::~Gas_cloud()
{
}
void Gas_cloud::show()
{
	sprite->put_screen(x, y);
}
void Gas_cloud::act()
{
	if(timer->time_elapsed()>=0.4f)
	{
		if(sample->get_map_gameobject(map_x(16), map_y())->get_type()==PLAYER)
		if(static_cast <Player*> (sample->get_map_gameobject(map_x(16), map_y()))->get_t()!=op)
		static_cast <Player*> (sample->get_map_gameobject(map_x(16), map_y()))->gas();

		if(sample->get_map_gameobject(map_x(16)+32, map_y())->get_type()==PLAYER)
		if(static_cast <Player*> (sample->get_map_gameobject(map_x(16)+32, map_y()))->get_t()!=op)
		static_cast <Player*> (sample->get_map_gameobject(map_x(16)+32, map_y()))->gas();

		if(sample->get_map_gameobject(map_x(16)+64, map_y())->get_type()==PLAYER)
		if(static_cast <Player*> (sample->get_map_gameobject(map_x(16)+64, map_y()))->get_t()!=op)
		static_cast <Player*> (sample->get_map_gameobject(map_x(16)+64, map_y()))->gas();
	}

		if(sample->get_map_gameobject(map_x(16), map_y())->get_type()==MONK)
		static_cast <Monk*> (sample->get_map_gameobject(map_x(16), map_y()))->gas();

		if(sample->get_map_gameobject(map_x(16)+32, map_y())->get_type()==MONK)
		static_cast <Monk*> (sample->get_map_gameobject(map_x(16)+32, map_y()))->gas();

		if(sample->get_map_gameobject(map_x(16)+64, map_y())->get_type()==MONK)
		static_cast <Monk*> (sample->get_map_gameobject(map_x(16)+64, map_y()))->gas();

	if(timer->time_elapsed()>=2.0f)
	this->set_delme();
}
bool Gas_cloud::get_t()
{
	return op;
}