/***************************************************************************
                          slime.cpp  -  description
                             -------------------
    begin                : Sat Apr 27 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "slime.h"
#include "resources.h"
#include "map_sample.h"
#include "timer.h"
#include "maptile_slime.h"
#include "maptile.h"
#include "map.h"

Slime::Slime(int _x, int _y, Map_Sample* _sample) : Effects(_x, _y, _sample)
{
	timer=new Timer;
	sur=Resources::Player();

	if(ran(1)==0)
	spr=81;
	else
	spr=82;
}
Slime::~Slime()
{
}
void Slime::act()
{
	if(sample->map->get_maptile(map_x(16), map_y()+32)->is_fallt()==false)
	{
		if(sample->map->get_maptile(map_x(16), map_y()+32)->get_type()==NORMAL)
		{
			sample->map->get_maptile(map_x(16), map_y()+32)->set_delme();
			new Maptile_slime(map_x(16), map_y()+32, sample->map->get_wt(), sample->map);				
			sample->map->fit();
		}
		this->set_delme();
	}
	else
	{
		y=(int)(y+(140*timer->time_elapsed()));
		timer->reset();
	}	
}
void Slime::show()
{
	sur->put_screen(x, y, spr);
}